Update offer
curl --request PUT \
--url https://api.tagada.io/api/public/v1/offers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"offerTitle": "<string>",
"enabled": true,
"triggers": [
{
"productId": "<string>"
}
],
"offers": [
{
"productId": "<string>",
"variantId": "<string>",
"priceId": "<string>",
"title": "<string>",
"titleTrans": {}
}
],
"orderBumpOffers": [
{
"productId": "<string>",
"variantId": "<string>",
"priceId": "<string>",
"precheck": true,
"overrideImageUrl": "<string>",
"id": "<string>",
"quantity": 1,
"titleTrans": {},
"descriptionTrans": {},
"displayPrice": true,
"displayCompareAtPrice": false,
"compareAtPriceDiscount": 20,
"rules": []
}
]
}
}
'import requests
url = "https://api.tagada.io/api/public/v1/offers/{id}"
payload = { "data": {
"offerTitle": "<string>",
"enabled": True,
"triggers": [{ "productId": "<string>" }],
"offers": [
{
"productId": "<string>",
"variantId": "<string>",
"priceId": "<string>",
"title": "<string>",
"titleTrans": {}
}
],
"orderBumpOffers": [
{
"productId": "<string>",
"variantId": "<string>",
"priceId": "<string>",
"precheck": True,
"overrideImageUrl": "<string>",
"id": "<string>",
"quantity": 1,
"titleTrans": {},
"descriptionTrans": {},
"displayPrice": True,
"displayCompareAtPrice": False,
"compareAtPriceDiscount": 20,
"rules": []
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
offerTitle: '<string>',
enabled: true,
triggers: [{productId: '<string>'}],
offers: [
{
productId: '<string>',
variantId: '<string>',
priceId: '<string>',
title: '<string>',
titleTrans: {}
}
],
orderBumpOffers: [
{
productId: '<string>',
variantId: '<string>',
priceId: '<string>',
precheck: true,
overrideImageUrl: '<string>',
id: '<string>',
quantity: 1,
titleTrans: {},
descriptionTrans: {},
displayPrice: true,
displayCompareAtPrice: false,
compareAtPriceDiscount: 20,
rules: []
}
]
}
})
};
fetch('https://api.tagada.io/api/public/v1/offers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}offers
Update offer
Update an existing upsell offer or order bump.
PUT
/
api
/
public
/
v1
/
offers
/
{id}
Update offer
⌘I
